# $Revision: 1.9 $, $Date: 2004/04/07 21:13:05 $
#
# TODO:
# - add desktop file.
#
Summary:	Application to quickly and easily change video resolutions in X
Summary(pl):	Aplikacja do szybkiej i atwej zmiany rozdzielczoci pod X
Name:		gvidm
Version:	0.6
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://www.dakotacom.net/~donut/programs/gvidm/%{name}-%{version}.tar.gz
# Source0-md5:	e5854c9e7bd926c25fec4c96e8c419d6
URL:		http://www.dakotacom.net/~donut/programs/gvidm.html
BuildRequires:	autoconf
BuildRequires:	gtk+-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
gvidm is a gtk app to quickly and easily change video resolutions in
X. Running it will pop up a list of available modes, upon choosing a
mode or cancelling, it exits. This makes it perfect for running from
an application menu or a hotkey, so you don't have to use ram for an
applet constantly running. If you are running dual or multi-head
displays, it will give you a list of screens so you can select the
appropriate one. gvidm is based on gvid (similar GNOME application).

%description -l pl
gvidm to aplikacja gtk do szybkiej i atwej zmiany rozdzielczoci pod
X. Po uruchomieniu wywietla list dostpnych trybw, a po wybraniu
ktrego lub rezygnacji koczy prac. Dziki temu moe by atwo
uruchamiany z menu aplikacji lub klawiszem skrtu i nie zajmuje przy
tym pamici. W przypadku pracy z wieloma monitorami pozwala wybra
ten, ktrego ma dotyczy zmiana. gvidm bazuje na programie gvid
(sucym do tego samego celu, ale bdcym aplikacj GNOME).

%prep
%setup -q

%build
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install gvidm $RPM_BUILD_ROOT%{_bindir}
install gvidm.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gvidm.spec,v $
Revision 1.9  2004/04/07 21:13:05  adamg
- updated to 0.6

Revision 1.8  2003/12/18 19:13:31  domelu
- up to 0.5

Revision 1.7  2003/06/20 18:43:36  eothane
- changed URL: and Source0: to good ones

Revision 1.6  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:48:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/01/18 22:51:58  juandon
- removed two lines with define

Revision 1.3  2002/08/10 10:31:10  kloczek
- use new %doc,
TODO: add desktop file.

Revision 1.2  2002/05/21 23:13:32  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.1  2002/05/14 22:17:53  qboosh
- new

